
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Useful Dictionaries &#8212; Battery SOH  documentation</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/basic.css" />
    <link rel="stylesheet" type="text/css" href="../_static/css/custom.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Battery Classes" href="Battery%20Classes.html" />
    <link rel="prev" title="LSTM Chemistry Training Colab" href="../Google%20Colabs/LSTM_Chemistry_Training.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    
    <nav class="navbar navbar-light navbar-expand-lg bg-light fixed-top bd-navbar" id="navbar-main"><div class="container-xl">

  <div id="navbar-start">
    
    

<a class="navbar-brand" href="../index.html">
  <img src="../_static/logo.png" class="logo" alt="logo">
</a>


    
  </div>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapsible" aria-controls="navbar-collapsible" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  
  <div id="navbar-collapsible" class="col-lg-9 collapse navbar-collapse">
    <div id="navbar-center" class="mr-auto">
      
      <div class="navbar-center-item">
        <ul id="navbar-main-elements" class="navbar-nav">
    <li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Colabs.html">
  Google Colabs
 </a>
</li>

<li class="toctree-l1 current active nav-item">
 <a class="current reference internal nav-link" href="#">
  Useful dictionaries
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Battery%20Classes.html">
  Battery Classes
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Cleaning.html">
  Treatment functions
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Models.html">
  Models
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Training.html">
  Training and Simulation
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="Report.html">
  Report related
 </a>
</li>

    
</ul>
      </div>
      
    </div>

    <div id="navbar-end">
      
      <div class="navbar-end-item">
        <ul id="navbar-icon-links" class="navbar-nav" aria-label="Icon Links">
      </ul>
      </div>
      
    </div>
  </div>
</div>
    </nav>
    

    <div class="container-xl">
      <div class="row">
          
            
            <!-- Only show if we have sidebars configured, else just a small margin  -->
            <div class="col-12 col-md-3 bd-sidebar"><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
  <div class="bd-toc-item active">
    
  </div>
</nav>
            </div>
            
          

          
          <div class="d-none d-xl-block col-xl-2 bd-toc">
            
              
              <div class="toc-item">
                

<nav id="bd-toc-nav">
    
</nav>
              </div>
              
              <div class="toc-item">
                
              </div>
              
            
          </div>
          

          
          
            
          
          <main class="col-12 col-md-9 col-xl-7 py-md-5 pl-md-5 pr-md-4 bd-content" role="main">
              
              <div>
                
  <div class="section" id="useful-dictionaries">
<h1>Useful Dictionaries<a class="headerlink" href="#useful-dictionaries" title="Permalink to this headline">¶</a></h1>
<p>Corresponds to the <code class="docutils literal notranslate"><span class="pre">main.py</span></code> module.
This simply defines a few useful dictionaries that can be called in other codes.
This is specially done in the <a class="reference internal" href="Colabs.html"><span class="doc">Google Colabs</span></a> through
<code class="docutils literal notranslate"><span class="pre">import</span> <span class="pre">main</span></code>.</p>
<p>These dictionaries usually include default values or information for each
dataset. The dataset names (dictionary keys) used are <code class="docutils literal notranslate"><span class="pre">'NASA'</span></code>, <code class="docutils literal notranslate"><span class="pre">'MIT'</span></code> and
<code class="docutils literal notranslate"><span class="pre">'Tarascon</span> <span class="pre">Coin'</span></code>.</p>
<p>The dictionaries are:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">default_time_step_dict</span></code>: default time step for resampling for each dataset.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">path_dict</span></code>: the path from the project folder to the clean dataset folder
for each dataset.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">dataset_function_dict</span></code>: The dataset function to use for each
<a class="reference internal" href="Models.html#lstm-variants"><span class="std std-ref">LSTM variant</span></a>.The keys are the variant name
(<code class="docutils literal notranslate"><span class="pre">'normal'</span></code>, <code class="docutils literal notranslate"><span class="pre">'chemistry'</span></code> and <code class="docutils literal notranslate"><span class="pre">'with</span> <span class="pre">norm'</span></code>).</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">ignore_dict</span></code>: Batteries that should be ignored (not included in the
training or the validation datasets) for each dataset.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">train_dict</span></code>: Batteries that should be included in the training dataset.</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">palette</span></code>: Color palette for creating <a class="reference internal" href="Report.html#dist-plots"><span class="std std-ref">distribution plots</span></a>
, for each dataset.</p></li>
</ul>
</div>


              </div>
              
              
              <div class='prev-next-bottom'>
                
    <a class='left-prev' id="prev-link" href="../Google%20Colabs/LSTM_Chemistry_Training.html" title="previous page"><strong>LSTM Chemistry Training Colab</strong></a>
    <a class='right-next' id="next-link" href="Battery%20Classes.html" title="next page">Battery Classes</a>

              </div>
              
          </main>
          

      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  <footer class="footer mt-5 mt-md-0">
  <div class="container">
    
    <div class="footer-item">
      <p class="copyright">
    &copy; Copyright 2021, Antonio Rocha Azevedo.<br/>
</p>
    </div>
    
    <div class="footer-item">
      <p class="sphinx-version">
Created using <a href="http://sphinx-doc.org/">Sphinx</a> 4.0.2.<br/>
</p>
    </div>
    
  </div>
</footer>
  </body>
</html>